tigase.io

## Class CertFilesTrustManager

- java.lang.Object
- - tigase.io.CertFilesTrustManager

- All Implemented Interfaces:
    TrustManager, X509TrustManager

      public class CertFilesTrustManager
      extends Object
      implements X509TrustManager

  Class CertFilesTrustManager
  Version:
    $Rev: $
  Author:
    Bartosz Malkowski

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkClientTrusted(X509Certificate[] chain, String authType)`
    `void` | `checkServerTrusted(X509Certificate[] chain, String authType)`
    `X509Certificate[]` | `getAcceptedIssuers()`
    `static CertFilesTrustManager` | `getInstance(String pathToCertsFiles)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static CertFilesTrustManager getInstance(String pathToCertsFiles)
                                                   throws Exception

      Throws:
        `Exception`

    - #### checkClientTrusted

          public void checkClientTrusted(X509Certificate[] chain,
                                         String authType)
                                  throws CertificateException

      Specified by:
        `checkClientTrusted` in interface `X509TrustManager`
      Throws:
        `CertificateException`

    - #### checkServerTrusted

          public void checkServerTrusted(X509Certificate[] chain,
                                         String authType)
                                  throws CertificateException

      Specified by:
        `checkServerTrusted` in interface `X509TrustManager`
      Throws:
        `CertificateException`

    - #### getAcceptedIssuers

          public X509Certificate[] getAcceptedIssuers()

      Specified by:
        `getAcceptedIssuers` in interface `X509TrustManager`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.